public static final class AlertPolicy.Documentation.Link.Builder extends GeneratedMessage.Builder<AlertPolicy.Documentation.Link.Builder> implements AlertPolicy.Documentation.LinkOrBuilderLinks to content such as playbooks, repositories, and other resources.
Protobuf type google.monitoring.v3.AlertPolicy.Documentation.Link
Inheritance
java.lang.Object > AbstractMessageLite.Builder<MessageType,BuilderType> > AbstractMessage.Builder<BuilderType> > GeneratedMessage.Builder > AlertPolicy.Documentation.Link.BuilderImplements
AlertPolicy.Documentation.LinkOrBuilderStatic Methods
getDescriptor()
public static final Descriptors.Descriptor getDescriptor()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
Methods
build()
public AlertPolicy.Documentation.Link build()| Returns | |
|---|---|
| Type | Description |
AlertPolicy.Documentation.Link |
|
buildPartial()
public AlertPolicy.Documentation.Link buildPartial()| Returns | |
|---|---|
| Type | Description |
AlertPolicy.Documentation.Link |
|
clear()
public AlertPolicy.Documentation.Link.Builder clear()| Returns | |
|---|---|
| Type | Description |
AlertPolicy.Documentation.Link.Builder |
|
clearDisplayName()
public AlertPolicy.Documentation.Link.Builder clearDisplayName()A short display name for the link. The display name must not be empty or exceed 63 characters. Example: "playbook".
string display_name = 1;
| Returns | |
|---|---|
| Type | Description |
AlertPolicy.Documentation.Link.Builder |
This builder for chaining. |
clearUrl()
public AlertPolicy.Documentation.Link.Builder clearUrl()The url of a webpage. A url can be templatized by using variables in the path or the query parameters. The total length of a URL should not exceed 2083 characters before and after variable expansion. Example: "https://my_domain.com/playbook?name=${resource.name}"
string url = 2;
| Returns | |
|---|---|
| Type | Description |
AlertPolicy.Documentation.Link.Builder |
This builder for chaining. |
getDefaultInstanceForType()
public AlertPolicy.Documentation.Link getDefaultInstanceForType()| Returns | |
|---|---|
| Type | Description |
AlertPolicy.Documentation.Link |
|
getDescriptorForType()
public Descriptors.Descriptor getDescriptorForType()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
getDisplayName()
public String getDisplayName()A short display name for the link. The display name must not be empty or exceed 63 characters. Example: "playbook".
string display_name = 1;
| Returns | |
|---|---|
| Type | Description |
String |
The displayName. |
getDisplayNameBytes()
public ByteString getDisplayNameBytes()A short display name for the link. The display name must not be empty or exceed 63 characters. Example: "playbook".
string display_name = 1;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for displayName. |
getUrl()
public String getUrl()The url of a webpage. A url can be templatized by using variables in the path or the query parameters. The total length of a URL should not exceed 2083 characters before and after variable expansion. Example: "https://my_domain.com/playbook?name=${resource.name}"
string url = 2;
| Returns | |
|---|---|
| Type | Description |
String |
The url. |
getUrlBytes()
public ByteString getUrlBytes()The url of a webpage. A url can be templatized by using variables in the path or the query parameters. The total length of a URL should not exceed 2083 characters before and after variable expansion. Example: "https://my_domain.com/playbook?name=${resource.name}"
string url = 2;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for url. |
internalGetFieldAccessorTable()
protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()| Returns | |
|---|---|
| Type | Description |
FieldAccessorTable |
|
isInitialized()
public final boolean isInitialized()| Returns | |
|---|---|
| Type | Description |
boolean |
|
mergeFrom(AlertPolicy.Documentation.Link other)
public AlertPolicy.Documentation.Link.Builder mergeFrom(AlertPolicy.Documentation.Link other)| Parameter | |
|---|---|
| Name | Description |
other |
AlertPolicy.Documentation.Link |
| Returns | |
|---|---|
| Type | Description |
AlertPolicy.Documentation.Link.Builder |
|
mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
public AlertPolicy.Documentation.Link.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)| Parameters | |
|---|---|
| Name | Description |
input |
CodedInputStream |
extensionRegistry |
ExtensionRegistryLite |
| Returns | |
|---|---|
| Type | Description |
AlertPolicy.Documentation.Link.Builder |
|
| Exceptions | |
|---|---|
| Type | Description |
IOException |
|
mergeFrom(Message other)
public AlertPolicy.Documentation.Link.Builder mergeFrom(Message other)| Parameter | |
|---|---|
| Name | Description |
other |
Message |
| Returns | |
|---|---|
| Type | Description |
AlertPolicy.Documentation.Link.Builder |
|
setDisplayName(String value)
public AlertPolicy.Documentation.Link.Builder setDisplayName(String value)A short display name for the link. The display name must not be empty or exceed 63 characters. Example: "playbook".
string display_name = 1;
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe displayName to set. |
| Returns | |
|---|---|
| Type | Description |
AlertPolicy.Documentation.Link.Builder |
This builder for chaining. |
setDisplayNameBytes(ByteString value)
public AlertPolicy.Documentation.Link.Builder setDisplayNameBytes(ByteString value)A short display name for the link. The display name must not be empty or exceed 63 characters. Example: "playbook".
string display_name = 1;
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for displayName to set. |
| Returns | |
|---|---|
| Type | Description |
AlertPolicy.Documentation.Link.Builder |
This builder for chaining. |
setUrl(String value)
public AlertPolicy.Documentation.Link.Builder setUrl(String value)The url of a webpage. A url can be templatized by using variables in the path or the query parameters. The total length of a URL should not exceed 2083 characters before and after variable expansion. Example: "https://my_domain.com/playbook?name=${resource.name}"
string url = 2;
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe url to set. |
| Returns | |
|---|---|
| Type | Description |
AlertPolicy.Documentation.Link.Builder |
This builder for chaining. |
setUrlBytes(ByteString value)
public AlertPolicy.Documentation.Link.Builder setUrlBytes(ByteString value)The url of a webpage. A url can be templatized by using variables in the path or the query parameters. The total length of a URL should not exceed 2083 characters before and after variable expansion. Example: "https://my_domain.com/playbook?name=${resource.name}"
string url = 2;
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for url to set. |
| Returns | |
|---|---|
| Type | Description |
AlertPolicy.Documentation.Link.Builder |
This builder for chaining. |